# Usage Reporting

An important part of the development process is to better understand the real user environment that the application will run in.

We provide an option to use an anonymous metrics collection tool provided by the Kubernetes project called [Spartakus](https://github.com/kubernetes-incubator/spartakus).

## Enable Usage Reporting

To help support the development of seldon-core, the voluntary reporting of usage data can be enabled whenever the "seldon-core-operator" helm chart is used by setting the "--set usageMetrics.enabled=true" option.

```bash
helm install seldon-core seldon-core-operator \
        --repo https://storage.googleapis.com/seldon-charts --set usageMetrics.enabled=true
```

The information that is reported is anonymous and only contains some information about each node in the cluster, including OS version, kubelet version, docker version, and CPU and memory capacity.

An example of what's reported:

```json
{
    "clusterID": "846db7e9-c861-43d7-8d08-31578af59878",
    "extensions": [
        {
            "name": "seldon-core-version",
            "value": "0.1.5"
        }
    ],
    "masterVersion": "v1.9.3-gke.0",
    "nodes": [
        {
            "architecture": "amd64",
            "capacity": [
                {
                    "resource": "cpu",
                    "value": "4"
                },
                {
                    "resource": "memory",
                    "value": "15405960Ki"
                },
                {
                    "resource": "pods",
                    "value": "110"
                }
            ],
            "cloudProvider": "gce",
            "containerRuntimeVersion": "docker://17.3.2",
            "id": "33082e677f61a199c195553e52bbd65a",
            "kernelVersion": "4.4.111+",
            "kubeletVersion": "v1.9.3-gke.0",
            "operatingSystem": "linux",
            "osImage": "Container-Optimized OS from Google"
        }
    ],
    "timestamp": "1522059083",
    "version": "v1.0.0-5d3377f6946c3ce9159cc9e7589cfbf1de26e0df"
}
```

## Disable Usage Reporting

Reporting of usage data is disabled by default, just use "seldon-core-operator" as normal.

```bash
helm install seldon-core seldon-core-operator \
        --repo https://storage.googleapis.com/seldon-charts
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seldon.ai/seldon-core-1/configuration/installation-parameters/usage-reporting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
